<?php
namespace Mirasvit\Search\Model\ResourceModel\SearchResultApplier;

/**
 * Interceptor class for @see \Mirasvit\Search\Model\ResourceModel\SearchResultApplier
 */
class Interceptor extends \Mirasvit\Search\Model\ResourceModel\SearchResultApplier implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\Data\Collection $collection, \Magento\Framework\Api\Search\SearchResultInterface $searchResult, int $size, int $currentPage, \Magento\Framework\Module\Manager $moduleManager, \Mirasvit\Search\Model\ConfigProvider $configProvider)
    {
        $this->___init();
        parent::__construct($collection, $searchResult, $size, $currentPage, $moduleManager, $configProvider);
    }

    /**
     * {@inheritdoc}
     */
    public function apply() : void
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'apply');
        $pluginInfo ? $this->___callPlugins('apply', func_get_args(), $pluginInfo) : parent::apply();
    }
}
